## org.apache.poi.hdf.model
Class HDFDocument

    java.lang.Object
      org.apache.poi.hdf.model.HDFDocument

public class HDFDocument
extends java.lang.Object

Constructor Summary
`HDFDocument(java.io.InputStream in)`
`HDFDocument(java.io.InputStream in, HDFParsingListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HDFDocument

    public HDFDocument(java.io.InputStream in,
                       HDFParsingListener listener)
                throws java.io.IOException

### HDFDocument

    public HDFDocument(java.io.InputStream in)
                throws java.io.IOException

Copyright © 2003 Apache Software Foundation.